# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MemoryStreamOutput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::MemoryStreamOutput:

[legend]
Collaboration diagram for dirac::MemoryStreamOutput:

[legend]

List of all members.

## Public Member Functions

- MemoryStreamOutput ()
    Default Constructor.
- ~MemoryStreamOutput ()
    Destructor.
- void SetSequenceParams (SeqParams &sparams)
    Set sequence parameters.
- void SetMembufReference (unsigned char *buf, int buf_size)
    Set the memory buffer to write the data to.
- bool End () const
    Returns true if we're at the end of the input, false otherwise.

## Protected Member Functions

- MemoryStreamOutput (const MemoryStreamOutput &)
    Body-less copy constructor.
- MemoryStreamOutput & operator= (const MemoryStreamOutput &)
    Body-less assignment operator.

## Protected Attributes

- OutputMemoryBuffer m_membuf
    Output stream Memory buffer.

## Classes

- class OutputMemoryBuffer
    local memory buffer More...

## Detailed Description

Outputs pictures to a memory buffer

## Constructor & Destructor Documentation

dirac::MemoryStreamOutput::MemoryStreamOutput | ( |  | ) |

dirac::MemoryStreamOutput::~MemoryStreamOutput | ( |  | ) |

dirac::MemoryStreamOutput::MemoryStreamOutput | ( | const MemoryStreamOutput & |  | ) | `[protected]`

## Member Function Documentation

void dirac::MemoryStreamOutput::SetSequenceParams | ( | SeqParams & | sparams | ) | `[inline]`

References dirac::StreamPicOutput::m_sparams.

void dirac::MemoryStreamOutput::SetMembufReference | ( | unsigned char * | buf,
|  | int | buf_size |
| ) |  |  |

bool dirac::MemoryStreamOutput::End | ( |  | ) | const

MemoryStreamOutput& dirac::MemoryStreamOutput::operator= | ( | const MemoryStreamOutput & |  | ) | `[protected]`

## Member Data Documentation

OutputMemoryBuffer dirac::MemoryStreamOutput::m_membuf `[protected]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.